summaryrefslogtreecommitdiffstats
path: root/Reaktor/reaktor/commands/whatweb
diff options
context:
space:
mode:
Diffstat (limited to 'Reaktor/reaktor/commands/whatweb')
-rwxr-xr-xReaktor/reaktor/commands/whatweb17
1 files changed, 17 insertions, 0 deletions
diff --git a/Reaktor/reaktor/commands/whatweb b/Reaktor/reaktor/commands/whatweb
new file mode 100755
index 00000000..36711efa
--- /dev/null
+++ b/Reaktor/reaktor/commands/whatweb
@@ -0,0 +1,17 @@
+#!/bin/sh
+#wrapper for WhatWeb
+set -eu
+
+# whatweb is in path?
+whatweb=whatweb
+if ! type -p whatweb >/dev/null 2>&1 ;then
+ here=$(dirname `readlink -f $0`)
+ whatweb="$here/../repos/whatweb/whatweb"
+ if ! test -e "$whatweb" then
+ echo "!! cannot find usable whatweb installation in path or basedir ($whatweb)"
+ exit 1
+ fi
+fi
+
+[ -z "${1:-}" ] && echo "!! no host given" && exit 1
+exec $whatweb_bin --user-agent="Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:25.0) Gecko/20100101 Firefox/25.0" -a 3 "$1" 2>&1